package com.terraocean.plugin

import com.terraocean.plugin.afk.onPlayerMovement
import com.terraocean.plugin.bridge.establishConnection
import hazae41.minecraft.kutils.bukkit.*

internal lateinit var instance: TerraOceanPlugin

class TerraOceanPlugin: BukkitPlugin() {
    override fun onEnable() {
        instance = this
        Strings // Initialize the config classes
        Settings

        listen(callback = ::onPlayerMovement)

        schedule(async = true) {
            establishConnection()
        }
    }
}
